/*
 * StatsReportingException.java
 *
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Encapsulates errors from the StatsReporting interface to indicate something gets wrong when rendering the
 * statistical report.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class StatsReportingException extends FileStatisticsException {
    /**
     * <p>
     * Creates exception with error message. The error message can be null, however.
     * </p>
     *
     * @param message the error message describing the exception
     */
    public StatsReportingException(String message) {
        super(message);
    }

    /**
     * <p>
     * Creates exception with error message and cause error. The error message and cause can be null, however.
     * </p>
     *
     * @param message the error message describing the exception
     * @param cause the cause of the exception
     */
    public StatsReportingException(String message, Throwable cause) {
        super(message, cause);
    }
}
