/*
 * FileStatisticsException.java
 *
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Framework exception which provides the extension base for all exceptions. It does not extend Base Exception since
 * there is no need to support JDK 1.3.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class FileStatisticsException extends Exception {
    /**
     * <p>
     * Creates exception with error message. The error message can be null, however.
     * </p>
     *
     * @param message the error message describing the exception
     */
    public FileStatisticsException(String message) {
        super(message);
    }

    /**
     * <p>
     * Creates exception with error message and cause error. The error message and cause can be null, however.
     * </p>
     *
     * @param message the error message describing the exception
     * @param cause the cause of the exception
     */
    public FileStatisticsException(String message, Throwable cause) {
        super(message, cause);
    }
}
