/*
 * AnyFileMatcherTest.java
 *
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.file.statistics;

import com.topcoder.file.statistics.matcher.AnyFileMatcher;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import java.io.File;


/**
 * Unit tests for AnyFileMatcher implementation.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class AnyFileMatcherTest extends TestCase {
    /**
     * The AnyFileMatcher instance to test against.
     */
    private AnyFileMatcher matcher = null;

    /**
     * Creates a test suite for the tests in this test case.
     *
     * @return a TestSuite for this test case
     */
    public static Test suite() {
        TestSuite suite = new TestSuite(AnyFileMatcherTest.class);

        return suite;
    }

    /**
     * Prepares an AnyFileMatcher instance for testing.
     */
    public void setUp() {
        matcher = new AnyFileMatcher();
    }

    /**
     * Tests the accessibility of default constructor.
     */
    public void testConstructor_Default() {
        new AnyFileMatcher();
    }

    /**
     * Test of constructor with null property. Expects NullPointerException.
     */
    public void testConstructor_NullProperty() {
        try {
            new AnyFileMatcher(null);
            fail("Creates AnyFileMatcher with null property");
        } catch (NullPointerException e) {
            // good
        }
    }

    /**
     * Test of match method with null file. Expects NullPointerException.
     */
    public void testMatch_NullFile() {
        try {
            matcher.match(null);
            fail("Matches a null file");
        } catch (NullPointerException e) {
            // good
        }
    }

    /**
     * Test of match method with non-null file. Verifies if true is returned.
     */
    public void testMatch_NonNullFile() {
        assertTrue("Fails to match file", matcher.match(new File("test_files/")));
    }
}
